Archive memory
Archive a stale, superseded, or no-longer-relevant memory.
Base URL
POST
Archive a stale, superseded, or no-longer-relevant memory.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
memory_id*stringapplication/json- body
Values are trimmed before length limits are checked.
reason?Memories.MemoryArchiveReasonLength
1 <= length <= 500Archived memory
application/json- response
data*curl -X POST 'https://your-org.inspect.com/api/public/v1/memories/string/archive' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "memory": { "id": "string", "title": "string", "content": "string", "description": "string", "memoryType": "fact", "archivedAt": "2019-08-24T14:15:22Z", "archivedReason": "string" } }}